--- /etc/init.d/httpd.vmware.orig	2006-11-02 07:35:27.000000000 +0200
+++ /etc/init.d/httpd.vmware	2006-11-02 07:52:08.000000000 +0200
@@ -197,7 +197,7 @@
   if [ "`type -t 'echo_failure' 2>/dev/null`" = 'function' ]; then
     echo_failure
   else
-    echo -ne "$rc_failed"
+    /bin/echo -ne "$rc_failed"
   fi
 }
 
@@ -205,7 +205,7 @@
   if [ "`type -t 'echo_success' 2>/dev/null`" = 'function' ]; then
     echo_success
   else
-    echo -ne "$rc_done"
+    /bin/echo -ne "$rc_done"
   fi
 }
 
@@ -244,6 +244,10 @@
      USE_SSL="-DSSL_ONLY"
   fi
 
+  # Make sure the run-time directory exists
+  mkdir -p /var/run/vmware/httpd
+  chown www-data:nogroup /var/run/vmware/httpd
+
   $INSTALLDIR/apache/bin/httpd.vmware -DSSL $USE_SSL -DGSX -d $INSTALLDIR/apache
   touch /var/lock/subsys/httpd.vmware
 }
@@ -256,10 +260,24 @@
 # See how we were called.
 case "$1" in
   start)
-        vmware_exec "Starting httpd.vmware:" vmware_start_httpd
+        echo -n "   Starting httpd.vmware: "
+        vmware_start_httpd
+        if [ "$?" -gt 0 ]; then
+            vmware_failed
+        else
+            vmware_success
+        fi
+        echo
 	;;
   stop)
-	vmware_exec  "Shutting down http.vmware: " vmware_stop_httpd
+	echo -n "   Shutting down http.vmware: "
+	vmware_stop_httpd
+        if [ "$?" -gt 0 ]; then
+            vmware_failed
+        else
+            vmware_success
+        fi
+        echo
 	;;
   status)
         echo -n 'vmware.httpd'



--- /usr/lib/vmware-mui/src/lib/httpd.vmware.orig	2006-11-02 07:35:24.000000000 +0200
+++ /usr/lib/vmware-mui/src/lib/httpd.vmware	2006-11-02 07:53:41.000000000 +0200
@@ -197,7 +197,7 @@
   if [ "`type -t 'echo_failure' 2>/dev/null`" = 'function' ]; then
     echo_failure
   else
-    echo -ne "$rc_failed"
+    /bin/echo -ne "$rc_failed"
   fi
 }
 
@@ -205,7 +205,7 @@
   if [ "`type -t 'echo_success' 2>/dev/null`" = 'function' ]; then
     echo_success
   else
-    echo -ne "$rc_done"
+    /bin/echo -ne "$rc_done"
   fi
 }
 
@@ -244,6 +244,10 @@
      USE_SSL="-DSSL_ONLY"
   fi
 
+  # Make sure the run-time directory exists
+  mkdir -p /var/run/vmware/httpd
+  chown www-data:nogroup /var/run/vmware/httpd
+
   $INSTALLDIR/apache/bin/httpd.vmware -DSSL $USE_SSL @@PORT_OPTION@@ -d $INSTALLDIR/apache
   touch /var/lock/subsys/httpd.vmware
 }
@@ -256,10 +260,24 @@
 # See how we were called.
 case "$1" in
   start)
-        vmware_exec "Starting httpd.vmware:" vmware_start_httpd
+        echo -n "   Starting httpd.vmware: "
+        vmware_start_httpd
+        if [ "$?" -gt 0 ]; then
+            vmware_failed
+        else
+            vmware_success
+        fi
+        echo
 	;;
   stop)
-	vmware_exec  "Shutting down http.vmware: " vmware_stop_httpd
+	echo -n "   Shutting down http.vmware: "
+	vmware_stop_httpd
+        if [ "$?" -gt 0 ]; then
+            vmware_failed
+        else
+            vmware_success
+        fi
+        echo
 	;;
   status)
         echo -n 'vmware.httpd'

